package cn.iocoder.yudao.module.depository.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "订单详情  -  订单相关物流信息")
public class LogisticsInfoDto {

    @ApiModelProperty(value = "始发地仓库id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "始发地城市id")
    private Long startCityId;

    @ApiModelProperty(value = "始发地国家id")
    private Long startCountryId;

    @ApiModelProperty(value = "始发地仓库中文名称")
    private String startTitleZh;

    @ApiModelProperty(value = "始发地仓库英文名称")
    private String startTitleEn;

    @ApiModelProperty(value = "始发地仓库前缀简称")
    private String startQianzhui;

    @ApiModelProperty(value = "始发地国家中文名称")
    private String startCountryTitleZh;

    @ApiModelProperty(value = "始发地国家英文名称")
    private String startCountryTitleEn;

    @ApiModelProperty(value = "始发地仓库容量")
    private String startVolume;

    @ApiModelProperty(value = "始发地仓库仓库地址")
    private String startAddressZh;

    @ApiModelProperty(value = "始发地仓库英文地址")
    private String startAddressEn;

    @ApiModelProperty(value = "始发地仓库负责人")
    private String startHead;

    @ApiModelProperty(value = "始发地仓库电话")
    private String startTell;

    @ApiModelProperty(value = "目的地仓库id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "目的地城市id")
    private Long destCityId;

    @ApiModelProperty(value = "目的地国家id")
    private Long destCountryId;

    @ApiModelProperty(value = "目的地仓库仓库名称")
    private String destTitleZh;

    @ApiModelProperty(value = "目的地仓库英文名称")
    private String destTitleEn;
    @ApiModelProperty(value = "目的地仓库前缀简称")
    private String destQianzhui;

    @ApiModelProperty(value = "目的地国家中文名称")
    private String destCountryTitleZh;

    @ApiModelProperty(value = "目的地国家英文名称")
    private String destCountryTitleEn;

    @ApiModelProperty(value = "目的地仓库容量")
    private String destVolume;

    @ApiModelProperty(value = "目的地仓库仓库地址")
    private String destAddressZh;

    @ApiModelProperty(value = "目的地仓库英文地址")
    private String destAddressEn;


    @ApiModelProperty(value = "目的地仓库负责人")
    private String destHead;

    @ApiModelProperty(value = "目的地仓库电话")
    private String destTell;

    @ApiModelProperty(value = "运输方式id", required = true)
    private Integer transportId;

    @ApiModelProperty(value = "线路ID", required = true)
    private Long lineId;

    @ApiModelProperty(value = "渠道ID")
    private Long channelId;

    @ApiModelProperty(value = "始发仓kyc信息")
    private Integer kycStatus;
}
